/**
 * STRING LITERAL TYPE BUILDING BLOCKS
 */
export declare const _00to23: readonly ["00", "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23"];
export declare const _00to59: readonly ["00", "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31", "32", "33", "34", "35", "36", "37", "38", "39", "40", "41", "42", "43", "44", "45", "46", "47", "48", "49", "50", "51", "52", "53", "54", "55", "56", "57", "58", "59"];
export type HourString = (typeof _00to23)[number];
export type MinString = (typeof _00to59)[number];
export type SecString = MinString;
export type InputfriendlyTimeHM = `${HourString}:${MinString}`;
export type InputfriendlyTimeHMS = `${InputfriendlyTimeHM}:${SecString}`;
export type Time = {
    hours: number;
    minutes: number;
};
export declare function isInputfriendlyTimeHM(val: string): boolean;
/**
 * Convert a Time into a string of form "12:34"
 */
export declare function makeTimeInputfriendly(t: Time): InputfriendlyTimeHM;
export declare function makeTime(val: InputfriendlyTimeHM): Time;
export declare function nowTime(): Time;
