/**
 * STRING LITERAL TYPE BUILDING BLOCKS
 */
export const _00to23 = ["00", "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23"];
export const _00to59 = ["00", "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31", "32", "33", "34", "35", "36", "37", "38", "39", "40", "41", "42", "43", "44", "45", "46", "47", "48", "49", "50", "51", "52", "53", "54", "55", "56", "57", "58", "59"];
// a super strict check for :HH:MM,
// including number-checks for HH being 00-23 and MM being 00-59
export function isInputfriendlyTimeHM(val) {
    if (typeof val !== "string")
        return false;
    // todo: do checks via regex?
    if (val.length !== 5)
        return false;
    if (val.charAt(2) !== ':')
        return false;
    let hh = parseInt(val.slice(0, 2));
    let mm = parseInt(val.slice(3, 5));
    if (isNaN(hh) || isNaN(mm))
        return false;
    if (hh < 0 || 23 < hh)
        return false;
    if (mm < 0 || 59 < mm)
        return false;
    return true;
}
/**
 * Convert a Time into a string of form "12:34"
 */
export function makeTimeInputfriendly(t) {
    let h_str, min_str = "bug!";
    switch (t.hours.toString().length) {
        case 1:
            h_str = `0${t.hours}`;
            break;
        case 2:
            h_str = t.hours.toString();
            break;
        default:
            console.error("bug: Time.hours value had unexpected state");
            break;
    }
    switch (t.minutes.toString().length) {
        case 1:
            min_str = `0${t.minutes}`;
            break;
        case 2:
            min_str = t.minutes.toString();
            break;
        default:
            console.error("bug: Time.minutes value had unexpected state");
            break;
    }
    return `${h_str}:${min_str}`;
}
export function makeTime(val) {
    return {
        hours: parseInt(val.slice(0, 2)),
        minutes: parseInt(val.slice(3, 5))
    };
}
export function nowTime() {
    const rn = new Date();
    return { hours: rn.getHours(), minutes: rn.getMinutes() };
}
