export function from_1_to_n(n) {
    return Array.from({ length: n }, (v, i) => i + 1);
}
export function from_0_to_n(n) {
    return Array.from({ length: n + 1 }, (v, i) => i);
}
export function from_n_to_m(n, m) {
    return Array.from({ length: m - n }, (v, i) => i + n);
}
export function zipWith(fn, arr1, arr2) {
    return arr1.map((v, i) => {
        return fn(v, arr2[i]);
    });
}
export function zip(arr1, arr2) {
    return arr1.map((v, i) => {
        return [v, arr2[i]];
    });
}
export function exclude(arr, exlusionCriteria) {
    return arr.filter((elem) => !exlusionCriteria(elem));
}
export function mutating_delete_at(array, index) {
    array.splice(index, 1);
    return array;
}
export function minimum_by(array, sortFn) {
    if (array.length == 0)
        throw new Error("minimum_by applied to empty array");
    return array.sort(sortFn)[0];
}
export function maximum_by(array, sortFn) {
    if (array.length == 0)
        throw new Error("maximum_by applied to empty array");
    return array.sort(sortFn)[array.length - 1];
}
export function toArrayLiteralString(array) {
    if (array.length == 0)
        return "[]";
    if (typeof array[0] == "number") {
        return `[${array.join(", ")}]`;
    }
    else {
        return `["${array.join('", "')}"]`;
    }
}
